| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::viz::MouseEvent Class Reference
3D Visualizer

This class represents a mouse event. More...

`#include <opencv2/viz/types.hpp>`

## Public Types
enum | MouseButton { NoButton = 0, LeftButton, MiddleButton, RightButton, VScroll }
enum | Type { MouseMove = 1, MouseButtonPress, MouseButtonRelease, MouseScrollDown, MouseScrollUp, MouseDblClick }

## Public Member Functions
| MouseEvent (const Type &type, const MouseButton &button, const Point &pointer, int modifiers)
| Constructs a MouseEvent. More...

## Public Attributes
MouseButton | button
int | modifiers
Point | pointer
Type | type

## Detailed Description

This class represents a mouse event.

## Member Enumeration Documentation

## ◆ MouseButton

enum cv::viz::MouseEvent::MouseButton

Enumerator
NoButton |
LeftButton |
MiddleButton |
RightButton |
VScroll |

## ◆ Type

enum cv::viz::MouseEvent::Type

Enumerator
MouseMove |
MouseButtonPress |
MouseButtonRelease |
MouseScrollDown |
MouseScrollUp |
MouseDblClick |

## Constructor & Destructor Documentation

## ◆ MouseEvent()

cv::viz::MouseEvent::MouseEvent | ( | const Type & | type,
|  | const MouseButton & | button,
|  | const Point & | pointer,
|  | int | modifiers
| ) |  |

Constructs a MouseEvent.

Parameters

  type | Type of the event. This can be MouseMove, MouseButtonPress, MouseButtonRelease**, MouseScrollDown, MouseScrollUp, MouseDblClick.
  button | Mouse button. This can be NoButton, LeftButton, MiddleButton, RightButton**, VScroll.
  pointer | Position of the event.
  modifiers | Signals if alt, ctrl or shift are pressed or their combination.

## Member Data Documentation

## ◆ button

MouseButton cv::viz::MouseEvent::button

## ◆ modifiers

int cv::viz::MouseEvent::modifiers

## ◆ pointer

Point cv::viz::MouseEvent::pointer

## ◆ type

Type cv::viz::MouseEvent::type

The documentation for this class was generated from the following file:

- opencv2/viz/types.hpp